messages.setBotPrecheckoutResults
Once the user has confirmed their payment and shipping details, the bot receives an RawUpdateBotPrecheckoutQuery update. Use this method to respond to such pre-checkout queries. Note: Telegram must receive an answer within 10 seconds after the pre-checkout query was sent.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Once the user has confirmed their payment and shipping details, the bot receives an RawUpdateBotPrecheckoutQuery update. Use this method to respond to such pre-checkout queries. Note: Telegram must receive an answer within 10 seconds after the pre-checkout query was sent.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.setBotPrecheckoutResults" \ -H "Content-Type: application/json" \ -d '{ "params": { "queryId": "string" } }'{ "result": true}setBotGuestChatResult
Bots may use this method to answer a [guest mode »](https://core.telegram.org/api/bots/guest-mode) query received via an `RawUpdateBotGuestChatQuery` update, providing the message to post into the chat as a guest, see [here »](https://core.telegram.org/api/bots/guest-mode#handling-guest-queries-bot-side) for more info.
setBotShippingResults
If you sent an invoice requesting a shipping address and the parameter is_flexible was specified, the bot will receive an `RawUpdateBotShippingQuery` update. Use this method to reply to shipping queries.